[Cotlet](https://cotlet.dev/index.md) · [Integrations](https://cotlet.dev/integrations.md) · [How it works](https://cotlet.dev/how-it-works.md) · [Use cases](https://cotlet.dev/use-cases.md) · [Security](https://cotlet.dev/security.md) · [For developers](https://cotlet.dev/for-developers.md) · [For automation agencies](https://cotlet.dev/for-agencies.md) · [Blog](https://cotlet.dev/blog.md) · [API docs](https://cotlet.dev/docs.md) · [Help center](https://cotlet.dev/help.md) · [Changelog](https://cotlet.dev/changelog.md) · [Contact](https://cotlet.dev/contact.md) · [Pricing](https://cotlet.dev/pricing.md) · [Sign up](https://cotlet.dev/signup)

# Search contacts

> Contacts in Aircall by name, phone number, email or company. Inputs, cURL, Python and Node.js examples and an example response.

Source: https://cotlet.dev/docs/api/aircall/search_contacts

Docs sections: [Get started](https://cotlet.dev/docs.md) · [REST API](https://cotlet.dev/docs/api.md) · [MCP](https://cotlet.dev/docs/mcp.md) · [SDKs & CLI](https://cotlet.dev/docs/sdks.md) · [Integrations](https://cotlet.dev/docs/integrations.md)

Contacts in Aircall by name, phone number, email or company.

Aircall API: https://cotlet.dev/docs/api/aircall.md

`GET https://cotlet.dev/api/v1/aircall/contacts/search`

Access: read.

Searches the Contacts section of Aircall Workspace. Each row has the name, company, phone numbers, emails and whether the contact is an Aircall contact or synced from a connected CRM. Page with next_cursor.

## Parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `query` | string | yes | Name, phone number, email or company. |
| `limit` | integer | no | Page size. |
| `cursor` | string | no | next_cursor from the previous call. |

## Request

**cURL**

```bash
curl "https://cotlet.dev/api/v1/aircall/contacts/search?query=query" \
  -H "Authorization: Bearer $COTLET_API_KEY"
```

**Python**

```python
result = client.call("aircall", "search_contacts", {"query":"query"})
```

**Node.js**

```js
const result = await cotlet.call('aircall', 'search_contacts', {"query":"query"});
```

**CLI**

```bash
cotlet call aircall search_contacts --data '{"query":"query"}'
```

## Example response

```json
{
  "contacts": [
    {
      "contact_id": "ct_90112",
      "name": "Mei Tanaka",
      "company": "Tanaka Studio",
      "phones": [
        "+14155550163"
      ],
      "emails": [
        "mei@example.com"
      ],
      "source": "aircall"
    }
  ],
  "next_cursor": null
}
```

Previous: [Get conversation](https://cotlet.dev/docs/api/aircall/get_conversation.md)
Next: [List tags](https://cotlet.dev/docs/api/aircall/list_tags.md)

---

Give your AI agents your signed-in browser.

**Product:** [Integrations](https://cotlet.dev/integrations.md) · [Use cases](https://cotlet.dev/use-cases.md) · [How it works](https://cotlet.dev/how-it-works.md) · [Pricing](https://cotlet.dev/pricing.md) · [Security](https://cotlet.dev/security.md)

**Resources:** [Blog](https://cotlet.dev/blog.md) · [API docs](https://cotlet.dev/docs.md) · [Help center](https://cotlet.dev/help.md) · [Changelog](https://cotlet.dev/changelog.md) · [GitHub](https://github.com/cotletdev/cotlet)

**Solutions:** [For developers](https://cotlet.dev/for-developers.md) · [For automation agencies](https://cotlet.dev/for-agencies.md)

**Company:** [About](https://cotlet.dev/about.md) · [AI info: company facts](https://cotlet.dev/ai-info.md) · [Contact](https://cotlet.dev/contact.md)

**Legal:** [Terms of service](https://cotlet.dev/terms) · [Privacy policy](https://cotlet.dev/privacy) · [Refund policy](https://cotlet.dev/refunds) · [Acceptable use](https://cotlet.dev/acceptable-use) · [Cookie policy](https://cotlet.dev/cookies) · [DPA](https://cotlet.dev/dpa) · [Subprocessors](https://cotlet.dev/subprocessors)

**Elsewhere:** [Status page](https://status.cotlet.dev) · [Cotlet on GitHub](https://github.com/cotletdev) · [Cotlet on X](https://x.com/cotletdev) · [Cotlet on LinkedIn](https://www.linkedin.com/company/cotletdev) · [Cotlet on Product Hunt](https://www.producthunt.com/products/cotlet) · [Cotlet on Crunchbase](https://www.crunchbase.com/organization/cotlet) · [Cotlet on SaaSHub](https://www.saashub.com/cotlet)

Cotlet.dev is built by Bart Krawczyk and Jake Slugocki, the founders of Take Group sp. z o.o., ul. Wincentego Janasa 4, 40-855 Katowice, Poland. KRS 0000871398, NIP 6342984273, VAT EU: PL6342984273. [About us](https://cotlet.dev/about.md)

Cotlet is an independent service. It is not affiliated with, endorsed by or sponsored by any of the products listed on this site. Product names are trademarks of their respective owners.
